
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef gyro_ERROR_H
#define gyro_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_gyro    (3520)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_gyro_CANNOT_WRITE_FILE    H2_ENCODE_ERR(M_gyro      , 1)
#define S_gyro_CANNOT_OPEN_FILE     H2_ENCODE_ERR(M_gyro      , 2)
#define S_gyro_FAILED               H2_ENCODE_ERR(M_gyro      , 3)
#define S_gyro_NOT_CONNECTED        H2_ENCODE_ERR(M_gyro      , 4)
#define S_gyro_CANNOT_DISCONNECT    H2_ENCODE_ERR(M_gyro      , 5)
#define S_gyro_DECODE_FAILED        H2_ENCODE_ERR(M_gyro      , 6)
#define S_gyro_READ_FAILED          H2_ENCODE_ERR(M_gyro      , 7)
#define S_gyro_CANNOT_CONNECT       H2_ENCODE_ERR(M_gyro      , 8)
#define S_gyro_ALREADY_CONNECTED    H2_ENCODE_ERR(M_gyro      , 9)


/* std errors */
#define S_gyro_stdGenoM_ACTIVITY_INTERRUPTED       230745089   /* 3520<<16 | 0x8000 | 100<<8 | 1 */
#define S_gyro_stdGenoM_TOO_MANY_ACTIVITIES        230745090   /* 3520<<16 | 0x8000 | 100<<8 | 2 */
#define S_gyro_stdGenoM_ACTIVITY_FAILED            230745091   /* 3520<<16 | 0x8000 | 100<<8 | 3 */
#define S_gyro_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 230745092   /* 3520<<16 | 0x8000 | 100<<8 | 4 */
#define S_gyro_stdGenoM_UNKNOWN_ACTIVITY           230745093   /* 3520<<16 | 0x8000 | 100<<8 | 5 */
#define S_gyro_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 230745094   /* 3520<<16 | 0x8000 | 100<<8 | 6 */
#define S_gyro_stdGenoM_SYSTEM_ERROR               230745095   /* 3520<<16 | 0x8000 | 100<<8 | 7 */
#define S_gyro_stdGenoM_ACTIVITY_ALREADY_ENDED     230745096   /* 3520<<16 | 0x8000 | 100<<8 | 8 */
#define S_gyro_stdGenoM_WAIT_INIT_RQST             230745097   /* 3520<<16 | 0x8000 | 100<<8 | 9 */
#define S_gyro_stdGenoM_CONTROL_CODEL_ERROR        230745098   /* 3520<<16 | 0x8000 | 100<<8 | 10 */
#define S_gyro_stdGenoM_EXEC_TASK_SUSPENDED        230745099   /* 3520<<16 | 0x8000 | 100<<8 | 11 */
#define S_gyro_stdGenoM_BAD_BLOCK_TYPE             230745100   /* 3520<<16 | 0x8000 | 100<<8 | 12 */
#define S_gyro_stdGenoM_BAD_POSTER_TYPE            230745101   /* 3520<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define GYRO_H2_ERR_MSGS {\
    {"CANNOT_WRITE_FILE", 1},\
    {"CANNOT_OPEN_FILE", 2},\
    {"FAILED", 3},\
    {"NOT_CONNECTED", 4},\
    {"CANNOT_DISCONNECT", 5},\
    {"DECODE_FAILED", 6},\
    {"READ_FAILED", 7},\
    {"CANNOT_CONNECT", 8},\
    {"ALREADY_CONNECTED", 9},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int gyroRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
